Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 526823 - SSM Packages remove confirm page times out with too many systems
Summary: SSM Packages remove confirm page times out with too many systems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 530
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks: sat531-blockers
TreeView+ depends on / blocked
 
Reported: 2009-10-01 21:17 UTC by Justin Sherrill
Modified: 2018-10-27 15:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-08 10:02:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0021 0 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2010-01-08 10:02:22 UTC

Description Justin Sherrill 2009-10-01 21:17:12 UTC
1.  Select about 10,000 systems for the SSM
2.  Go to the SSM -> Packages -> Remove
3.  Select a package that applies to most of the systems
4.  Submit the page.
5.  Hit confirm.


Result:  Page times out

We need to rework the query so this doesn't happen.

Comment 1 Justin Sherrill 2009-10-07 21:40:42 UTC
commit in master:  5f015a8bc31122531ecee83ebf3cd87122883b75

Comment 7 Justin Sherrill 2009-12-22 15:08:23 UTC
hrm, i think the most i had tested was 2 packages, which does seem to work on that satellite.  4 does not...  Will look into this.

-Justin

Comment 8 Justin Sherrill 2009-12-23 14:34:17 UTC
fixed in spacewalk master: 2408dba53bce2d140caa4a99d9cb1574b98128ad

Comment 9 Petr Sklenar 2010-01-04 10:22:29 UTC
1.  Select about 10,000 systems for the SSM
2.  Go to the SSM -> Packages -> Remove
3.  Select a package that applies to most of the systems

# tried one and 50 packages to be removed - all seems working

4.  Submit the page.
5.  Hit confirm.

old: failed
new: works well

Verified on updated rhel5U4i386 with updated sat531 + 
rpm -q  spacewalk-java-lib spacewalk-java-config spacewalk-java spacewalk-taskomatic
spacewalk-java-lib-0.5.44-62.el5sat
spacewalk-java-config-0.5.44-62.el5sat
spacewalk-java-0.5.44-62.el5sat
spacewalk-taskomatic-0.5.44-62.el5sat

--
moving to verified

Comment 11 errata-xmlrpc 2010-01-08 10:02:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0021.html


Note You need to log in before you can comment on or make changes to this bug.